#ifndef _GEMLIB_H
#define _GEMLIB_H

typedef struct _gemini_request {
	char request_content[1024];
	char hostname[256];
	char scheme[64];
	char path[1024];
} GEM_Request;

void GEM_init (void);

GEM_Request *GEM_new_request(const char *request_content);

void GEM_print_request_info (GEM_Request *request);

int GEM_send_request (GEM_Request *request, FILE *answerFile);

void GEM_free_request (GEM_Request *request);

#endif
